﻿using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.FormsEdition;
using Xamarin.Forms;

namespace PopupDemo
{
    public partial class MainPage : ContentPage
    {
        MapView mapView;

        public MainPage()
        {
            InitializeComponent();
            mapView = new MapView();
            mapView.MapUnit = GeographyUnit.DecimalDegree;
            mapView.CurrentExtent = new RectangleShape(-136.60, 68.06, -53.81, 11.63);

            WorldMapKitOverlay worldOverlay = new WorldMapKitOverlay();
            mapView.Overlays.Add(worldOverlay);

            Popup popup = new Popup();
            popup.Position = new PointShape(-96.809523, 33.128675);
            popup.YOffset = 0;
            popup.XOffset = -10;
            popup.Content = string.Format("Longitude : {0:N4}" + "\r\n" + "Latitude : {1:N4}", popup.Position.X, popup.Position.Y);

            PopupOverlay popupOverlay = new PopupOverlay();
            popupOverlay.Popups.Add(popup);
            mapView.Overlays.Add(popupOverlay);

            this.Content = new Grid { Children = { mapView } };

            mapView.Refresh();
        }
    }
}
